Name:           fluid
Summary:        Library for fluid and dynamic applications development with QtQuick
Version:        0.3.0
Release:        2%{?dist}
Group:          Applications/System
License:        LGPLv2+
URL:            https://github.com/mauios/fluid
Source0:        http://downloads.sourceforge.net/mauios/%{name}-%{version}.tar.gz

Requires:       qt5-qtquickcontrols
Requires:       qt5-qtdeclarative
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  cmake

%description
Library for fluid and dynamic applications development with QtQuick.


%prep
%setup -q


%build
%cmake .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Swordfish and Hawaii Shell use these.
# Shell sets a search path in launcher, but Swordfish does not.
install -d %{buildroot}%{_qt5_prefix}/qml
ln -sf ../../hawaii/qml/Fluid %{buildroot}%{_qt5_prefix}/qml


%files
%dir %{_libdir}/hawaii
%dir %{_libdir}/hawaii/qml
%{_libdir}/hawaii/qml/Fluid
%{_qt5_prefix}/qml/*
%doc COPYING.LIB
%doc README.md


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-0.2.20140330git6e0a3f7
- A more recent Git snapshot

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-0.2.20140101gite9ea587
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 18 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-0.1.20140101gite9ea587
- A more recent Git snapshot

* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0-1
- Update to a new release tarball

* Mon Oct 28 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-2.20130723git6d6e0cd
- Drop useless ldconfig (Eduardo Echeverria, #1019435)
- Drop old RPM artifacts (Eduardo Echeverria, #1019435)

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-1.20130723git6d6e0cd
- Initial packaging
